
# ====================================
# Exemple d'estimation du modle logit
# ====================================

# emploi de la procdure "glm" (pour Generalized Linear Model)

# help(glm) si on veut lire l'aide de la commande "glm"

# lecture de donnes d'abonnement

abonnement = read.table("abon.dat", header=TRUE)
attach(abonnement)

abonnement # pour voir ou
fix(abonnement) # pour diter (refermer la fentre d'dition pour poursuivre)

# variables
#   - abo (0/1) note l'abonnement  une certaine revue
#   - age
#   - sexe (0/1)

# on estime le modle logit expliquant l'abonnement par l'ge
# et le sexe, variables "quantitatives"

mlogit = glm(abo~age+sexe, family=binomial(link="logit"))
summary(mlogit)
