
# ========================
# AFC en R avec FactoMineR
# ========================

paris = read.table("elections-paris-2012.csv", h=T, sep=";", row.names="Candidat") # la colonne "Candidat" est l'identifiant

paris # pour voir...
  
library(FactoMineR) # pour charger le package "FactoMineR" suppos dj install

afcparis = CA(paris) 
plot.CA(afcparis, axes=c(2,3)) # si on veut voir le plan 2-3

afcparis$eig # les valeurs propres, ou taux d'inertie, successives ("eigenvalues")
afcparis$row # ce qui concerne les lignes
afcparis$col # les colonnes